Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -1651,194 +3646,157 @@
   OrganisationInImageCode                       string+
   OrganisationInImageName                       string+
+  PersonHeard                                   Entity Struct+
+  PersonHeardIdentifier                         string_+
+  PersonHeardName                               lang-alt_+
   PersonInImage                                 string+
-  RegistryId                                    RegistryEntryDetails Struct+
+  PersonInImageWDetails                         PersonDetails Struct+
+  PersonInImageCharacteristic                   CVTermDetails Struct_+
+  PersonInImageCvTermCvId                       string_+
+  PersonInImageCvTermId                         string_+
+  PersonInImageCvTermName                       lang-alt_+
+  PersonInImageCvTermRefinedAbout               string_+
+  PersonInImageDescription                      lang-alt_+
+  PersonInImageId                               string_+
+  PersonInImageName                             lang-alt_+
+  PlanningRef                                   EntityWithRole Struct+
+  PlanningRefIdentifier                         string_+
+  PlanningRefName                               lang-alt_+
+  PlanningRefRole                               string_+
+  ProductInImage                                ProductDetails Struct+
+  ProductInImageDescription                     lang-alt_+
+  ProductInImageGTIN                            string_+
+  ProductInImageName                            lang-alt_+
+  PublicationEvent                              PublicationEvent Struct+
+  PublicationEventDate                          date_+
+  PublicationEventIdentifier                    string_+
+  PublicationEventName                          string_+
+  Rating                                        Rating Struct+
+  RatingRegion                                  LocationDetails Struct_+
+  RatingRegionCity                              string_+
+  RatingRegionCountryCode                       string_+
+  RatingRegionCountryName                       string_+
+  RatingRegionGPSAltitude                       rational_+
+  RatingRegionGPSLatitude                       string_+
+  RatingRegionGPSLongitude                      string_+
+  RatingRegionIdentifier                        string_+
+  RatingRegionLocationId                        string_+
+  RatingRegionLocationName                      lang-alt_+
+  RatingRegionProvinceState                     string_+
+  RatingRegionSublocation                       string_+
+  RatingRegionWorldRegion                       string_+
+  RatingScaleMaxValue                           string_+
+  RatingScaleMinValue                           string_+
+  RatingSourceLink                              string_+
+  RatingValue                                   string_+
+  RatingValueLogoLink                           string_+
+  RecDevice                                     Device Struct
+  RecDeviceAttLensDescription                   string_
+  RecDeviceManufacturer                         string_
+  RecDeviceModelName                            string_
+  RecDeviceOwnersDeviceId                       string_
+  RecDeviceSerialNumber                         string_
+  RegistryID                                    RegistryEntryDetails Struct+
+  RegistryEntryRole                             string_+
   RegistryItemID                                string_+
   RegistryOrganisationID                        string_+
-
-=head3 XMP ArtworkOrObjectDetails Struct
+  ReleaseReady                                  boolean
+  Season                                        EpisodeOrSeason Struct
+  SeasonIdentifier                              string_
+  SeasonName                                    string_
+  SeasonNumber                                  string_
+  Series                                        Series Struct
+  SeriesIdentifier                              string_
+  SeriesName                                    string_
+  Snapshot                                      LinkedImage Struct+
+  SnapshotFormat                                string_+
+  SnapshotHeightPixels                          integer_+
+  SnapshotImageRole                             string_+
+  SnapshotLink                                  string_+
+  SnapshotLinkQualifier                         string_+
+  SnapshotUsedVideoFrame                        Timecode Struct_+
+  SnapshotUsedVideoFrameTimeFormat              string_+
+  SnapshotUsedVideoFrameTimeValue               string_+
+  SnapshotUsedVideoFrameValue                   integer_+
+  SnapshotWidthPixels                           integer_+
+  StorylineIdentifier                           string+
+  StreamReady                                   string
+  StylePeriod                                   string
+  SupplyChainSource                             Entity Struct+
+  SupplyChainSourceIdentifier                   string_+
+  SupplyChainSourceName                         lang-alt_+
+  TemporalCoverage                              TemporalCoverage Struct
+  TemporalCoverageFrom                          date_
+  TemporalCoverageTo                            date_
+  Transcript                                    lang-alt
+  TranscriptLink                                QualifiedLink Struct+
+  TranscriptLinkLink                            string_+
+  TranscriptLinkLinkQualifier                   string_+
+  VideoBitrate                                  integer
+  VideoBitrateMode                              string
+  VideoDisplayAspectRatio                       rational
+  VideoEncodingProfile                          string
+  VideoShotType                                 Entity Struct+
+  VideoShotTypeIdentifier                       string_+
+  VideoShotTypeName                             lang-alt_+
+  VideoStreamsCount                             integer
+  VisualColor                                   string
+  WorkflowTag                                   CVTermDetails Struct
+  WorkflowTagCvId                               string_
+  WorkflowTagCvTermId                           string_
+  WorkflowTagCvTermName                         lang-alt_
+  WorkflowTagCvTermRefinedAbout                 string_
+
+=head3 XMP CVTermDetails Struct
 
   Field Name                                    Writable
   ----------                                    --------
+  CvId                                          string
+  CvTermId                                      string
+  CvTermName                                    lang-alt
+  CvTermRefinedAbout                            string
+
+=head3 XMP ArtworkOrObjectDetails Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  AOCircaDateCreated                            string
+  AOContentDescription                          lang-alt
+  AOContributionDescription                     lang-alt
   AOCopyrightNotice                             string
   AOCreator                                     string+
+  AOCreatorId                                   string+
+  AOCurrentCopyrightOwnerId                     string
+  AOCurrentCopyrightOwnerName                   string
+  AOCurrentLicensorId                           string
+  AOCurrentLicensorName                         string
   AODateCreated                                 date
+  AOPhysicalDescription                         lang-alt
   AOSource                                      string
   AOSourceInvNo                                 string
+  AOSourceInvURL                                string
+  AOStylePeriod                                 string+
   AOTitle                                       lang-alt
 
-=head3 XMP LocationDetails Struct
+=head3 XMP Entity Struct
 
   Field Name                                    Writable
   ----------                                    --------
-  City                                          string
-  CountryCode                                   string
-  CountryName                                   string
-  ProvinceState                                 string
-  Sublocation                                   string
-  WorldRegion                                   string
-
-=head3 XMP RegistryEntryDetails Struct
+  Identifier                                    string+
+  Name                                          lang-alt
+
+=head3 XMP EntityWithRole Struct
 
   Field Name                                    Writable
   ----------                                    --------
-  RegItemId                                     string
-  RegOrgId                                      string
-
-=head3 XMP Lightroom Tags
-
-Adobe Lightroom "lr" schema tags.
-
-  Tag Name                                      Writable
-  --------                                      --------
-  HierarchicalSubject                           string+
-  PrivateRTKInfo                                string
-
-=head3 XMP MediaPro Tags
-
-iView MediaPro schema tags.
-
-  Tag Name                                      Writable
-  --------                                      --------
-  CatalogSets                                   string+
-  Event                                         string
-  Location                                      string/
-  People                                        string+
-  Status                                        string
-  UserFields                                    string+
-
-=head3 XMP mwg_coll Tags
-
-Collections metadata defined by the MWG 2.0 specification.  See
-L<http://www.metadataworkinggroup.org/> for the official specification.
-
-  Tag Name                                      Writable
-  --------                                      --------
-  Collections                                   CollectionInfo Struct+
-  CollectionName                                string_+
-  CollectionURI                                 string_+
-
-=head3 XMP CollectionInfo Struct
+  Identifier                                    string+
+  Name                                          lang-alt
+  Role                                          string+
+
+=head3 XMP TextRegion Struct
 
   Field Name                                    Writable
   ----------                                    --------
-  CollectionName                                string
-  CollectionURI                                 string
-
-=head3 XMP mwg_kw Tags
-
-Hierarchical keywords metadata defined by the MWG 2.0 specification.
-ExifTool unrolls keyword structures to an arbitrary depth of 4 to allow
-individual levels to be accessed with different tag names, and to avoid
-infinite recursion.  See L<http://www.metadataworkinggroup.org/> for the
-official specification.
-
-  Tag Name                                      Writable
-  --------                                      --------
-  KeywordInfo                                   KeywordInfo Struct
-  HierarchicalKeywords                          KeywordStruct1 Struct_+
-  HierarchicalKeywords1Applied                  boolean_+
-  HierarchicalKeywords1Children                 KeywordStruct2 Struct_+
-  HierarchicalKeywords2Applied                  boolean_+
-  HierarchicalKeywords2Children                 KeywordStruct3 Struct_+
-  HierarchicalKeywords3Applied                  boolean_+
-  HierarchicalKeywords3Children                 KeywordStruct4 Struct_+
-  HierarchicalKeywords4Applied                  boolean_+
-  HierarchicalKeywords4                         string_+
-  HierarchicalKeywords3                         string_+
-  HierarchicalKeywords2                         string_+
-  HierarchicalKeywords1                         string_+
-
-=head3 XMP KeywordInfo Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  Hierarchy                                     KeywordStruct1 Struct+
-
-=head3 XMP KeywordStruct1 Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  Applied                                       boolean
-  Children                                      KeywordStruct2 Struct+
-  Keyword                                       string
-
-=head3 XMP KeywordStruct2 Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  Applied                                       boolean
-  Children                                      KeywordStruct3 Struct+
-  Keyword                                       string
-
-=head3 XMP KeywordStruct3 Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  Applied                                       boolean
-  Children                                      KeywordStruct4 Struct+
-  Keyword                                       string
-
-=head3 XMP KeywordStruct4 Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  Applied                                       boolean
-  Keyword                                       string
-
-=head3 XMP mwg_rs Tags
-
-Image region metadata defined by the MWG 2.0 specification.  See
-L<http://www.metadataworkinggroup.org/> for the official specification.
-
-  Tag Name                                      Writable
-  --------                                      --------
-  RegionInfo                                    RegionInfo Struct
-  RegionAppliedToDimensions                     Dimensions Struct_
-  RegionAppliedToDimensionsH                    real_
-  RegionAppliedToDimensionsUnit                 string_
-  RegionAppliedToDimensionsW                    real_
-  RegionList                                    RegionStruct Struct_+
-  RegionArea                                    Area Struct_+
-  RegionAreaD                                   real_+
-  RegionAreaH                                   real_+
-  RegionAreaUnit                                string_+
-  RegionAreaW                                   real_+
-  RegionAreaX                                   real_+
-  RegionAreaY                                   real_+
-  RegionBarCodeValue                            string_+
-  RegionDescription                             string_+
-  RegionExtensions                              Extensions Struct_+
-  RegionFocusUsage                              string_+
-  RegionName                                    string_+
-  RegionSeeAlso                                 string_+
-  RegionType                                    string_+
-
-=head3 XMP RegionInfo Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  AppliedToDimensions                           Dimensions Struct
-  RegionList                                    RegionStruct Struct+
-
-=head3 XMP Dimensions Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  H                                             real
-  Unit                                          string
-  W                                             real
-
-=head3 XMP RegionStruct Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  Area                                          Area Struct
-  BarCodeValue                                  string
-  Description                                   string
-  Extensions                                    Extensions Struct
-  FocusUsage                                    string
-  Name                                          string
-  Type                                          string
-  SeeAlso                                       string
+  Region                                        Area Struct
+  RegionText                                    string
 
 =head3 XMP Area Struct
@@ -1853,24 +3811,221 @@
   Y                                             real
 
-=head3 XMP Extensions Struct
-
-This structure may contain any top-level XMP tags, but none have been
-pre-defined in ExifTool.  Without pre-defined flattened tag names,
-RegionExtensions may be written only as a structure (ie.
-C<{xmp-dc:creator=me,rating=5}>).  Fields for this structure are identified
-using the standard ExifTool tag name (with optional leading group name,
-and/or trailing language code, and/or trailing C<#> symbol to disable print
-conversion).
+=head3 XMP QualifiedLink Struct
 
   Field Name                                    Writable
   ----------                                    --------
-  [no tags known]
+  Link                                          string
+  LinkQualifier                                 string
+
+=head3 XMP EEREDetails Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  EncRightsExpr                                 string
+  RightsExprEncType                             string
+  RightsExprLangId                              string
+
+=head3 XMP EpisodeOrSeason Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Identifier                                    string
+  Name                                          string
+  Number                                        string
+
+=head3 XMP ImageRegion Struct
+
+This structure is new in the IPTC Extension version 1.5 specification.  As
+well as the fields defined below, this structure may contain any top-level
+XMP tags, but since they aren't pre-defined the only way to add these tags
+is to write ImageRegion as a structure with these tags as new fields.
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Name                                          lang-alt
+  RegionBoundary                                RegionBoundary Struct
+  RCtype                                        Entity Struct+
+  RId                                           string
+  RRole                                         Entity Struct+
+
+=head3 XMP RegionBoundary Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  RbH                                           real
+  RbRx                                          real
+  RbShape                                       string
+  RbUnit                                        string
+  RbVertices                                    BoundaryPoint Struct+
+  RbW                                           real
+  RbX                                           real
+  RbY                                           real
+
+=head3 XMP BoundaryPoint Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  RbX                                           real
+  RbY                                           real
+
+=head3 XMP LEREDetails Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  LinkedRightsExpr                              string
+  RightsExprEncType                             string
+  RightsExprLangId                              string
+
+=head3 XMP LocationDetails Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  City                                          string
+  CountryCode                                   string
+  CountryName                                   string
+  GPSAltitude                                   rational
+  GPSLatitude                                   string
+  GPSLongitude                                  string
+  Identifier                                    string+
+  LocationId                                    string+
+  LocationName                                  lang-alt
+  ProvinceState                                 string
+  Sublocation                                   string
+  WorldRegion                                   string
+
+=head3 XMP PersonDetails Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  PersonCharacteristic                          CVTermDetails Struct+
+  PersonDescription                             lang-alt
+  PersonId                                      string+
+  PersonName                                    lang-alt
+
+=head3 XMP ProductDetails Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  ProductDescription                            lang-alt
+  ProductGTIN                                   string
+  ProductName                                   lang-alt
+
+=head3 XMP PublicationEvent Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Date                                          date
+  Identifier                                    string
+  Name                                          string
+
+=head3 XMP Rating Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  RatingRegion                                  LocationDetails Struct+
+  RatingScaleMaxValue                           string
+  RatingScaleMinValue                           string
+  RatingSourceLink                              string
+  RatingValue                                   string
+  RatingValueLogoLink                           string
+
+=head3 XMP Device Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  AttLensDescription                            string
+  Manufacturer                                  string
+  ModelName                                     string
+  OwnersDeviceId                                string
+  SerialNumber                                  string
+
+=head3 XMP RegistryEntryDetails Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  RegEntryRole                                  string
+  RegItemId                                     string
+  RegOrgId                                      string
+
+=head3 XMP Series Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Identifier                                    string
+  Name                                          string
+
+=head3 XMP LinkedImage Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  HeightPixels                                  integer
+  ImageRole                                     string
+  Link                                          string
+  LinkQualifier                                 string+
+  UsedVideoFrame                                Timecode Struct
+  WidthPixels                                   integer
+  Format                                        string
+
+=head3 XMP Timecode Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  TimeFormat                                    string
+  TimeValue                                     string
+  Value                                         integer
+
+=head3 XMP TemporalCoverage Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  TempCoverageFrom                              date
+  TempCoverageTo                                date
+
+=head3 XMP LImage Tags
+
+Tags written by RED smartphones.
+
+These tags belong to the ExifTool XMP-LImage family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  MajorVersion                                  string
+  MinorVersion                                  string
+  RightAlbedo                                   string
+
+=head3 XMP Lightroom Tags
+
+Adobe Lightroom "lr" namespace tags.
+
+These tags belong to the ExifTool XMP-lr family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  HierarchicalSubject                           string+
+  PrivateRTKInfo                                string
+
+=head3 XMP MediaPro Tags
+
+iView MediaPro namespace tags.
+
+These tags belong to the ExifTool XMP-mediapro family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CatalogSets                                   string+
+  Event                                         string/
+  Location                                      string/
+  People                                        string+
+  Status                                        string
+  UserFields                                    string+
 
 =head3 XMP pdf Tags
 
-Adobe PDF schema tags.  The official XMP specification defines only
+Adobe PDF namespace tags.  The official XMP specification defines only
 Keywords, PDFVersion, Producer and Trapped.  The other tags are included
 because they have been observed in PDF files, but some are avoided when
 writing due to name conflicts with other XMP namespaces.
+
+These tags belong to the ExifTool XMP-pdf family 1 group.
 
   Tag Name                                      Writable
@@ -1895,4 +4050,6 @@
 created to enable writing of XMP-pdfx information.
 
+These tags belong to the ExifTool XMP-pdfx family 1 group.
+
   Tag Name                                      Writable
   --------                                      --------
@@ -1901,5 +4058,7 @@
 =head3 XMP photoshop Tags
 
-Adobe Photoshop schema tags.
+Adobe Photoshop namespace tags.
+
+These tags belong to the ExifTool XMP-photoshop family 1 group.
 
   Tag Name                                      Writable
@@ -1913,6 +4072,6 @@
   Credit                                        string
   DateCreated                                   date
-  DocumentAncestors                             Ancestor Struct+
-  DocumentAncestorID                            string_+
+  DocumentAncestors                             string+
+  EmbeddedXMPDigest                             string
   Headline                                      string
   History                                       string
@@ -1930,10 +4089,4 @@
   Urgency                                       integer
 
-=head3 XMP Ancestor Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  AncestorID                                    string
-
 =head3 XMP Layer Struct
 
